Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Halide::Internal::GeneratorRegistry Class Reference

`#include <Generator.h>`

## Public Member Functions
| GeneratorRegistry (const GeneratorRegistry &)=delete
GeneratorRegistry & | operator= (const GeneratorRegistry &)=delete
| GeneratorRegistry (GeneratorRegistry &&that)=delete
GeneratorRegistry & | operator= (GeneratorRegistry &&that)=delete

## Static Public Member Functions
static void | register_factory (const std::string &name, GeneratorFactory generator_factory)
static void | unregister_factory (const std::string &name)
static std::vector< std::string > | enumerate ()
static AbstractGeneratorPtr | create (const std::string &name, const Halide::GeneratorContext &context)

## Detailed Description

Definition at line 3770 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorRegistry() [1/2]

Halide::Internal::GeneratorRegistry::GeneratorRegistry | ( | const GeneratorRegistry & |  | ) |
| delete

## ◆ GeneratorRegistry() [2/2]

Halide::Internal::GeneratorRegistry::GeneratorRegistry | ( | GeneratorRegistry && | that | ) |
| delete

## Member Function Documentation

## ◆ register_factory()

static void Halide::Internal::GeneratorRegistry::register_factory | ( | const std::string & | name,
|  | GeneratorFactory | generator_factory
| ) |  |
| static

## ◆ unregister_factory()

static void Halide::Internal::GeneratorRegistry::unregister_factory | ( | const std::string & | name | ) |
| static

## ◆ enumerate()

static std::vector< std::string > Halide::Internal::GeneratorRegistry::enumerate | ( |  | ) |
| static

## ◆ create()

static AbstractGeneratorPtr Halide::Internal::GeneratorRegistry::create | ( | const std::string & | name,
|  | const Halide::GeneratorContext & | context
| ) |  |
| static

## ◆ operator=() [1/2]

GeneratorRegistry & Halide::Internal::GeneratorRegistry::operator= | ( | const GeneratorRegistry & |  | ) |
| delete

## ◆ operator=() [2/2]

GeneratorRegistry & Halide::Internal::GeneratorRegistry::operator= | ( | GeneratorRegistry && | that | ) |
| delete

The documentation for this class was generated from the following file:

- src/Generator.h